com.google.cloud.dataflow.sdk.runners

## Class DataflowJobCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException
        - - com.google.cloud.dataflow.sdk.runners.DataflowJobCancelledException

All Implemented Interfaces:
  Serializable

    public class DataflowJobCancelledException
    extends DataflowJobException

Signals that a job run by a `BlockingDataflowPipelineRunner` was updated during execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataflowJobCancelledException(DataflowPipelineJob job, String message)` Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob` and message.
`DataflowJobCancelledException(DataflowPipelineJob job, String message, Throwable cause)` Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob`, message, and cause.

### Method Summary

### Methods inherited from class com.google.cloud.dataflow.sdk.runners.DataflowJobException

`getJob`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataflowJobCancelledException

    public DataflowJobCancelledException(DataflowPipelineJob job,
                                         String message)

Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob` and message.

#### DataflowJobCancelledException

    public DataflowJobCancelledException(DataflowPipelineJob job,
                                         String message,
                                         Throwable cause)

Create a new `DataflowJobAlreadyUpdatedException` with the specified `DataflowPipelineJob`, message, and cause.